name: Build and Publish
on:
  push:
    branches:
      - 'main'

jobs:
  Build and Publish Discord Bot:
    runs-on: ubuntu-latest
    container:
      image: catthehacker/ubuntu:act-latest
    steps:
      - uses: actions/checkout@v3

      - uses: actions/setup-node@v3
        with:
          node-version: 18

      - run: npm install
        working-directory: ./discordbot

      - uses: docker/login-action@v2
        with:
          registry: gitea.xeovalyte.dev
          username: ${{ gitea.actor }}
          password: ${{ secrets.DOCKER_PASSWORD }}

      - uses: docker/build-push-action@master
        with:
          context: ./discordbot
          push: true
          tags: gitea.xeovalyte.dev/xeovalyte/polarcraft:latest

